summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:05:51 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:05:51 +0200
commit28495e71e8d7af066f0a1d99a39c7cee06792d76 (patch)
tree87bf2187a43a03032be85548edd2bd64a030f49f /development
parentfffe78e2b38babd75990aa8835b80d841e9ad58c (diff)
downloadslackbuilds-28495e71e8d7af066f0a1d99a39c7cee06792d76.tar.gz
slackbuilds-28495e71e8d7af066f0a1d99a39c7cee06792d76.tar.xz
development/jam: Initial import
Diffstat (limited to 'development')
-rw-r--r--development/jam/README8
-rw-r--r--development/jam/jam.SlackBuild38
-rw-r--r--development/jam/jam.info8
-rw-r--r--development/jam/slack-desc11
4 files changed, 65 insertions, 0 deletions
diff --git a/development/jam/README b/development/jam/README
new file mode 100644
index 0000000000..3709eb4521
--- /dev/null
+++ b/development/jam/README
@@ -0,0 +1,8 @@
+Jam - Make(1) Redux
+
+Jam is a program construction tool, like make(1). Jam recursively builds
+target files from source files, using dependency information and updating
+actions expressed in the Jambase file, which is written in jam's own
+interpreted language. The default Jambase is compiled into jam and
+provides a boilerplate for common use, relying on a user-provide file
+"Jamfile" to enumerate actual targets and sources.
diff --git a/development/jam/jam.SlackBuild b/development/jam/jam.SlackBuild
new file mode 100644
index 0000000000..9f10609665
--- /dev/null
+++ b/development/jam/jam.SlackBuild
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# Slackware build script for jam
+# Written by Erik Hanson erik@slackbuilds.org
+
+# This one's kinda wacky.
+
+PRGNAM=jam
+VERSION=2.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make || exit 1
+mkdir -p $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp jam0 $PKG/usr/bin/jam
+strip --strip-unneeded $PKG/usr/bin/jam
+cp -a Jam.html Jambase.html Jamfile.html Porting README RELNOTES \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/jam/jam.info b/development/jam/jam.info
new file mode 100644
index 0000000000..de85720f38
--- /dev/null
+++ b/development/jam/jam.info
@@ -0,0 +1,8 @@
+PRGNAM="jam"
+VERSION="2.5"
+HOMEPAGE="http://public.perforce.com/public/jam/index.html"
+DOWNLOAD="ftp://ftp.perforce.com/pub/jam/jam-2.5.zip"
+MD5SUM="f92caadb62fe4cb0b152eff508c9d450"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/development/jam/slack-desc b/development/jam/slack-desc
new file mode 100644
index 0000000000..3c9357f3ee
--- /dev/null
+++ b/development/jam/slack-desc
@@ -0,0 +1,11 @@
+jam: Jam - Make(1) Redux
+jam:
+jam: Jam is a program construction tool, like make(1). Jam recursively builds
+jam: target files from source files, using dependency information and updating
+jam: actions expressed in the Jambase file, which is written in jam's own
+jam: interpreted language. The default Jambase is compiled into jam and
+jam: provides a boilerplate for common use, relying on a user-provide file
+jam: "Jamfile" to enumerate actual targets and sources.
+jam:
+jam: http://public.perforce.com/public/jam/src/Jam.html
+jam: